Version 3.20.0
==============
- Remove GNOME-Flashback autostart file. (Alberts Muktupāvels)
- Stop using deprecated GdkDeviceManager. (Alberts Muktupāvels)
- Updated translations:
  Anders Jonsson (sv), Andika Triwidada (id), Aurimas Černius (it),
  Claude Paroz (fr), Dušan Kazik (sk), Marek Černocký (cs),
  Mario Blättermann (de), Milo Casagrande (it), Мирослав Николић (sr, sr@latin),
  Pedro Albuquerque (pt), Rafael Fontenelle (pt_BR).

Version 3.18.1
==============
- Fix empty body text with invalid pango markup.
- Updated translations:
  Tom Tryfonidis (el).

Version 3.18.0
==============
- Deprecation warning fixes. (Alberts Muktupāvels)
- Internationalization fixes. (Alberts Muktupāvels)
- Now upstream gettext is used instead of intltool. (Alberts Muktupāvels)
- Ported away from gnome-common. (Alberts Muktupāvels)
- Updated translations:
  Anders Jonsson (sv), Balázs Úr (hu), Daniel Mustieles (es),
  Marek Černocký (cs), Piotr Drąg (pl), Stas Solovey (ru).

Version 3.17.2
==============
- Updated translations:
  Cédric Valmary (oc).

Version 3.17.1
==============
- Fix resident notifications. (Alberts Muktupāvels)
- Reset timeout when updating notification content. (Alberts Muktupāvels)
- Style fixes, should look better with Adwaita theme. (Alberts Muktupāvels)

Version 3.16.1
==============
- Fix timeout, based on patch by Jakub Adam. (Alberts Muktupāvels)
- Properly check if GVariant is string. (Alberts Muktupāvels)
- Fix crash in hint_to_boolean. (Alberts Muktupāvels)

Version 3.16.0
==============
- Free memory returned by g_find_program_in_path. (Dmitry Shachnev)
- Updated translations:
  Samir Ribic (bs).

Version 3.15.2
==============
- Fix few deprecation warnings. (Alberts Muktupāvels)

Version 3.14.1
==============
- Rename existing .desktop file to notification-daemon-autostart.desktop and add
  back regular .desktop file. (Alberts Muktupāvels)

Version 3.14.0
==============
- Desktop file moved to autostart. (Alberts Muktupāvels)
- Fix notifications with long text. (Balló György)
- Updated .doap file. (Alberts Muktupāvels, Olav Vitters, Piotr Drąg)
- Fix crash with newer glib versions. (Balló György)
- Fix crash in nd_notification_get_is_transient. (Alberts Muktupāvels)
- Updated translations:
  Ani Peter (ml), Claude Paroz (quz), MarMav (el), Pavol Klačanský (sk),
  Piotr Drąg (pl), Runa Bhattacharjee (bn_IN), TmTFx (fur).

NOTE: Notification Daemon now is maintained as part of GNOME Flashback. This is
reason for version number change. This release also bumps GTK+ required version
to 3.8.0.

NEW in 0.7.6:
==============
- Fix a wrong loop condition
- Translation updates (Marathi)

NEW in 0.7.5:
==============
- Translation updates (Hindi, Catalan)

NEW in 0.7.4:
==============
- Translation updates (Malay, Telugu, Norwegian Nynorsk,
  Norwegian bokmål, Uzbek, Khmer, Arabic, Esperanto)

NEW in 0.7.3:
==============
- Translation updates (Asturian, Assamese, Thai, Telugu)

NEW in 0.7.2:
==============
- Remove vestigial dbus-glib requirement
- Translation updates (Italian, Dutch, Gujarati, Ukrainian,
  Norwegian bokmål, Bulgarian, Spanish, Slovenian, Kannada,
  Hebrew, Swedish, Simplified Chinese, Greek, Korean, French,
  Latvian, Vietnamese, Catalan, Oriya, Galician, British English,
  Romanian, Polish, Estonian, Hungarian, Portuguese, Russian
  German, Serbian, Indonesian, Afrikaans, Punjabi, Uighur,
  Basque, Traditional Chinese, Tamil, Czech, Danish, Turkish,
  Bengali, Persian, Japanese, Aragonese, Catalan (Valencian),
  Finnish, Lithuanian, Belarusian, Zulu)

NEW in 0.7.1:
==============
- Don't use DBus activation
- Don't exit on idle
- Install a desktop file for notification-daemon

NEW in 0.7.0:
==============
- Support image-data and image-path hints
- Translation updates (French, Swedish, Danish, Punjabi,
  Chinese, Italian, Hebrew, Galician, Norwegian bokmål,
  Arabic, Catalan)

NEW in 0.6.0:
==============
- Drop setup capplet
- Drop themes
- Add a 'dock' for bubbles
- Add 'persistence' and 'action-icons' capabilities
- Support transient and resident notifications
- Port to GDBus

NEW in 0.5.0:
==============
- Add a new default theme
- Properly handle monitor changes
- Add multi-screen support
- Exit when not in use
- Exit when unable to acquire bus name
- Support version 1.1 of the notification spec
- Various memory leak fixes
- Better RTL locale support
- Don't monitor all X events unless necessary
- Update the list of ways to start a browser (Matthias Clasen)
- Fix the screensaver lock detection (Matthias Clasen)
- Use top right location by default (Matthias Clasen)
- Use canberra instead of gstreamer for event sounds
- Limit the total number of notifications that can be displayed at once
- Conversion from glade to gtkbuilder
- Fixed #608077, doesn't report its sound capability when built with sound support (Bastien Nocera)
- Fixed #608082, Arabic text is misplaced in bubbles (RTL) (William Jon McCann)
- Fixed #608858, Modernize autotools configuration (Javier Jardón)
- Fixed #612032, Various i18n problems (William Jon McCann)
- Fixed #622021, Closed signal is not emitted when the screensaver si active (Bastien Nocera)
- Fixed #622552, doesn't support multiple screens or monitor configuration changes (William Jon McCann)
- Fixed #622556, Save some RAM in NotifyTimeout (Bastien Nocera)

Translations:
- Updated cs: Petr Kovar
- Updated da: Joe Hansen
- Updated de: Mario Blättermann
- Updated el: Kostas Papadimas
- Updated es: Jorge González
- Updated et: Priit Laes
- Updated fr: Claude Paroz
- Updated gl: Fran Diéguez
- Updated hu: Gabor Kelemen <kelemeng at gnome dot hu>
- Updated it: Luca Ferretti
- Updated ja: Christian Hammond
- Updated lt: Gintautas Miliauskas, Aurimas Černius
- Updated nb: Kjartan Maraas
- Updated pa: A S Alam
- Updated pl: Piotr Drąg
- Updated pt_BR: André Gondim, Vladimir Melo, Henrique P. Machado
- Updated ru: Leonid Kanter, Yuri Myasoedov, Christian Hammond
- Updated sl: Matej Urbančič
- Updated sv: Daniel Nylander
- Updated zh_CN: Ray Wang, 微尘, Aron Xu


version 0.4.0 (20-November-2008):
	* Bumped up the required minimum version of GTK+ to 2.10.0.
	* Bump the notification spec version we're compliant with to 1.0.
	* Send the reason code along with the NotificationClosed signal in order
	  to indicate why the notification was closed. (Bug #137)
	* Send an error if the user attempts to close an already closed
	  notification.
	* Text is now escaped in the summary in the Standard theme so that
	  ampersands and other special characters show up instead of disappearing.
	  (Bug #132)
	* Set the type hint for notifications to TYPE_NOTIFICATION. (Bug #146)
	* Added support for playing sounds when the "sound-file" hint is set or
	  when the default_sound GConf key is set, as well as support for the
	  "suppress-sound" hint. Patch by Jim Ramsay. (Ticket #111)
	* Added a control panel applet for controlling such things as the
	  notification theme and popup positions. Patch by John Wendell.
	  (Ticket #126)
	* Added better support for attaching context notifications to an icon on
	  the system tray, even when it moves. Patch by Colin Walters.
	* Added an Arabic translation. Patch by Djihed Afifi. (Ticket #131)
	* Added an Italian translation. Patch by Luca Ferretti.
	* Fixed a bug where text would sometimes get truncated. (Ticket #162)
	* Fixed a bug where notifications weren't displayed if a fullscreen
	  window was minimized. (Bug #142)
	* Fixed a bug where we were quitting on theme engine failure, instead of
	  falling back to the default theme engine. Patch by
	  driehuis-at-playbeing.org. (Ticket #128)
	* Fixed a bug where notifications with arrows were crossing the monitor
	  on multihead setups instead of staying on their head. Patch by M.S.
	  (Bug #5)
	* Fixed the close button size on the notifications so that they don't
	  stretch. Patch by Luca Cavelli. (Bug #127)
	* Fixed a crash when an unsupported value type was passed in for the
	  urgency when using the standard theme. (Bug #135)

version 0.3.7 (27-February-2007):
	* Fixed a compatibility issue with dbus-glib 0.72. Patch by Pawel Worach.
	  (Bug #95)
	* The background of the window in the standard theme is now just slightly
	  transparent when compiled against GTK+ 2.10 and when using a composite
	  manager. Patch by Matt Walton. (Ticket #110)
	* Fix several rendering glitches with the borders in the standard theme.
	* Fix a memory leak when removing a notification. Patch by Sven Wegener.
	  (Bug #105).
	* Added initial accessibility support with the standard theme engine.
	* Clicking anywhere in a notification should now close the notification.
	  This was happening only on the body text sometimes.

version 0.3.6 (8-October-2006):
	* Added a GConf key to allow users to specify which corner of the screen
	  notifications should appear in. Patch by M.S. (Ticket #57)
	* Added a Dutch translation from Wouter Bolsterlee. (Bug #55)
	* Fixed compatibility problems with D-BUS v0.61. (Bugs #67, #75)
	* A notification's timeout will now pause while the mouse is hovering over
	  the notification. This allows users to respond to notifications without
	  it suddenly disappearing before the user clicks. (Ticket #73)
	* Fixed a crash under some icon themes where the base size of an icon
	  was being returned as 0. (Bug #61)
	* Fixed an assertion failure under newer versions of GTK+ during a
	  notification's destruction. Patch by Ed Catmur. (Bug #77)
	* Fixed type validation for raw icon data. Patch by Ed Catmur.
	  (Bugs #75, #67)
	* Fixed a problem where a replaces_id that points to a non-existant
	  notification would cause a broken notification where timeouts and
	  action invoking fails. In this case, a new ID is generated. Patch by
	  Ed Catmur. (Bug #76)
	* Fixed a memory leak that occurred every time a notification went away.
	  Patch by Nick Schermer.

version 0.3.5 (26-April-2006):
	* Add three new required theme functions:
	  - theme_check_init - determines if the theme is compatible with the
	    running version of notification-daemon.
	  - get_theme_info - returns info on the theme.
	  - clear_notification_actions - Clears the notification action buttons
	    on the window.
	* Disabled the Bubble theme for this release. It's the source of too
	  many bugs.
	* Fix the scaling of different icon sizes. Now small icons display as
	  small, and larger icons are scaled down to 48x48.
	* Fixed a problem where icons were being clipped in notifications.
	  Patch by M.S. (Bug #21)
	* Fixed incorrect usage of GtkIconTheme. (Bug #38)
	* Fixed notifications with a timeout of 2147484ms or longer expiring
	  in less than a second. (Bug #22)
	* Fixed a bug where a notification would duplicate its actions when
	  updated. (Bug #30)
	* The Standard theme's countdown timer is now rendered using Cairo when
	  compiled against Gtk 2.8.0 or higher. This improves the timer by making
	  it antialiased.
	* Renamed notification-daemon.service to
	  org.freedesktop.Notifications.service.

version 0.3.4 (4-February-2006):
	* Added a Close button to notifications. This closed ticket #8. Thanks
	  to Michael Vogt for the basis of this patch.
	* Fixed a few bugs (including crashes) involving the freeing of
	  memory when notifications and theme enginers are destroyed.
	* Fixed the theme engines to be installed as unversioned libraries.
	  Thanks to Rodney Dawes for this patch.
	* Fixed a bug where the notification window was not realized, causing
	  a crash. This fixes bug #10.
	* Fixed a crash in the Bubble theme when clicking an action.
	* Fixed action ordering in the Bubble theme.
	* Made the destroy_notification, show_notification, hide_notification,
	  and set_notification_hints theme engine functions optional.
	* Added set_notification_timeout and notification_tick theme engine
	  functions.
	* Made several improvements to the Standard theme:
	  - The left-hand color stripe has been made smaller and now reflects
	    the urgency level set.
	  - Added a pie-based countdown timer for notifications containing
	    actions. This allows the user to see how long they have to react to
	    a notification.
	  - Converted the action links into buttons. These are now left-aligned
	    and make a reasonable attempt to find an appropriate stock icon.
	  - Allow the notification to be very short when no icons, body text or
	    actions are specified.

version 0.3.3 (25-January-2006):
	* Install and check for engines in
	  $(libdir)/notification-daemon-1.0/engines, as opposed to
	  $(libdir)/notification-daemon/engines.
	* Notifications no longer appear over full screen windows or
	  screensavers.
	* When using icontheme icons, the icon with a size closest to 48x48
	  is used. If the icon is smaller than 48x48, the icon is left unscaled,
	  but if it's larger, it's scaled down.

version 0.3.2 (23-January-2006):
	* Renamed the program back to notification-daemon.
	* Reverted the default look back to the notification-daemon 0.2.x look,
	  but with improvements, such as flexible arrow positioning and cleaner
	  action separators.
	* Updated to match the notification spec correctly.
	* Added the beginnings of theme support. The look from
	  notification-daemon v0.3.1 can be set in a GConf key, though it is
	  not yet fully functional.
	* Added back action support.
	* Added back support for D-BUS 0.36 and higher.
	* Added back the GetCapabilities and GetServerInformation calls.
	* Added back suppor for markup and hyperlinks in the new theme.
	* Fix several cases of C99 usage, and other compiler problems.
	* Fixed a bug where the desktop work area (the area excluding panels)
	  wasn't being taken into consideration when positioning notifications.
	* Fixed several crash bugs.

version 0.3.1:
	* First release of the notify daemon which supports the new 0.3.x protocol
	* Users of the older notification-daemon must make sure they uninstall it
	  as it will try to catch messages ment for the notify-daemon

version 0.2.4 (6-November-2005):
	* Support clicking on hyperlinks.

version 0.2.3 (6-November-2005):
	* Depends on libsexy for the URL label.

version 0.2.2 (10-August-2005):
	* Fixed several run-time issues on PPC and AMD64 (Martin Pitt)
	* Notifications that are created at the same time will disappear at
	  the same time.
	* Notifications that don't expire until the user clicks on them will
	  no longer block notifications that do expire.

version 0.2.1 (28-July-2005):
	* Fixed hint support for D-BUS 0.3x.
	* Fixed a compile issue with GCC 4.0.

version 0.2.0 (28-July-2005):
	* Initial public release.
